{% set grid_size = theme_var('grid-size') %}
{% set columns = page.header.class == 'small' ? 'col-3 col-md-4 col-sm-6' : 'col-4 col-md-6 col-sm-12'  %}
<section class="section modular-features {{ page.header.class }}">
    <section class="container {{ grid_size }}">
        <div class="frame-box">

            {{ content|raw }}

            <div class="columns">
            {% for feature in page.header.features %}
               <div class="column {{ columns }}">
                  {% if feature.url %}<a href="{{feature.url}}">{% endif %}
                  <div class="feature-icon">
                    {% if feature.avatar %}
                      <figure class="avatar avatar-xl">
                        {{ page.media[feature.avatar].html('Picture of ' ~ feature.header, 'Picture of ' ~ feature.header) }}
                      </figure>
                    {% endif %}
                    {% if feature.header %}&nbsp;
                       <h6>{{ feature.header }}</h6>
                    {% endif %}
                  </div>
                  {% if feature.url %}</a>{% endif %}
                  <div class="feature-content">
                     {% if feature.text %}
                     <p>{{ feature.text }}</p>
                     {% endif %}
                  </div>
               </div>
            {% endfor %}
            </div>
        </div>
    </section>
</section>
